Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 26

Thread: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

  1. #11
    Woo! Hoo! my 1st post
    Join Date
    2012-05
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    Te pasaste!!!!!!

    Excelente lisp!!

    +10! jakjakaj

    Quote Originally Posted by jquintero View Post
    Me disculpan me falto el lisp

  2. #12
    Woo! Hoo! my 1st post
    Join Date
    2012-07
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    FUNCIONA A LA PERFECCION, ES UNA GRAN HERRAMIENTA, GRACIAS.

  3. #13
    Woo! Hoo! my 1st post
    Join Date
    2012-08
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    oye me podrias mandar el lisp lo quise descargar y no pude

  4. #14
    Woo! Hoo! my 1st post
    Join Date
    2012-09
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    Hola, perdón... pero no sé si hice mal o no me funciona...
    pongo SUMLP selecciono las polilíenas y me da error ¿?
    Estoy haciendo algo mal?
    GRACIAS.

  5. #15
    Woo! Hoo! my 1st post
    Join Date
    2012-09
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    La rutina, tal como está, no suma correctamente. Lo que hace es sumar la longitud del primer objeto seleccionado tantas veces como objetos se han seleccionado. Para que funcione bien tiene ser.

    Code:
    (defun c:sll () (sum-long-lin) (princ))
    (defun sum-long-lin (/ ss c i sl e vlae l)
    (vl-load-com)
    (setq	ss (ssget '((0 . "LINE,ARC,LWPOLYLINE,POLYLINE")))
    c (sslength ss)
    i 0
    sl 0
    )
    (repeat c
    (setq e (ssname ss i)
    vlae (vlax-ename->vla-object e)
    l (vlax-get vlae 'length)
    sl (+ l sl)
    i (+ i 1)      
    )
    )
    (princ "\nsuma total de longitudes: ")
    (princ sl)
    )
    Le faltaba i (+ i 1)

    Tampoco funciona si se selecciona un arco

  6. #16
    Woo! Hoo! my 1st post
    Join Date
    2013-04
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    muy bueno....buen aporte al mundo Cad

  7. #17
    Woo! Hoo! my 1st post
    Join Date
    2013-06
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    Buen aporte! Gracias por compartir (Y)

  8. #18
    Woo! Hoo! my 1st post
    Join Date
    2013-07
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    gracias muy util

  9. #19
    Woo! Hoo! my 1st post
    Join Date
    2013-07
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    no se ve el link

  10. #20
    Woo! Hoo! my 1st post
    Join Date
    2013-03
    Posts
    1
    0 Did you find this post helpful? Yes

    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    Muy buen lisp, funciona a la perfeccion.

Page 2 of 3 FirstFirst 123 LastLast

Similar Threads

  1. Lisp para Calculos (Duvida)
    By martins.aloizio in forum Português - Customização / Programação
    Replies: 5
    Last Post: 2012-03-06, 12:45 AM
  2. Variable a deshabilitar para desaparecer el centroide de un dibujo
    By Nasser in forum Español - AutoCAD Civil 3D
    Replies: 2
    Last Post: 2009-04-15, 04:03 AM
  3. Lisp para alteração de texto
    By batista in forum Português - Customização / Programação
    Replies: 5
    Last Post: 2008-08-22, 10:08 PM
  4. Lisp para imprimir dwg em lote
    By lucianno in forum Português - Customização / Programação
    Replies: 0
    Last Post: 2008-01-10, 02:30 PM
  5. ROTINA LISP OU VBA PARA MUDAR TEXTO EM MAIS DE UM DWG
    By euller.monteiro in forum Português - Customização / Programação
    Replies: 4
    Last Post: 2007-07-20, 11:05 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •